import { Country } from '@/classes/Enum/Country'

export class LastNameGenerator {
  plLastNames: Array<string> = [
    'Abgarowicz',
    'Abrahamowicz',
    'Abramczyk',
    'Abramowicz',
    'Adamczak',
    'Adamczyk',
    'Adamiak',
    'Adamiec',
    'Adamowski',
    'Adamski',
    'Aleksandrowicz',
    'Ambroziak',
    'Anczok',
    'Andrzejewski',
    'Ankwicz',
    'Antek',
    'Araszkiewicz',
    'Babiuch',
    'Bachleda',
    'Baginski',
    'B\u0105k',
    'Bakula',
    'Balcerzak',
    'Balicki',
    'Banasiak',
    'Baranowska',
    'Baranowski',
    'Bara\u0144ski',
    'Bargiel',
    'Bartnicki',
    'Barton',
    'Bartosiewicz',
    'Bednarek',
    'Bednarski',
    'Beksi\u0144ski',
    'Beres',
    'Berezovsky',
    'Bia\u0142as',
    'Bialik',
    'Bia\u0142kowski',
    'Bia\u0142y',
    'Bieganski',
    'Bielawski',
    'Bielecki',
    'Bieli\u0144ski',
    'Bielski',
    'Bierut',
    'Biesiadecki',
    'Bieszczad',
    'Biskupski',
    'B\u0142aszczyk',
    'Blechacz',
    'Bobak',
    'Bobrowski',
    'Bochenek',
    'Bogusz',
    'Bojarski',
    'Boniecki',
    'Bonikowski',
    'Bonk',
    'Borkowski',
    'Borowicz',
    'Borowiec',
    'Borowiecki',
    'Borowski',
    'Bortkiewicz',
    'Borysewicz',
    'Borzym',
    'Bratkowski',
    'Brodnicki',
    'Brodowski',
    'Brodzki',
    'Bronikowski',
    'Bronowski',
    'Br\xf3zda',
    'Bro\u017cyna',
    'Brzechwa',
    'Brzezi\u0144ski',
    'Brzozowski',
    'Brzyski',
    'Buczkowski',
    'Bujak',
    'Bujwid',
    'Bukowski',
    'Burzy\u0144ski',
    'Butkiewicz',
    'Bystron',
    'Bytnar',
    'Cebertowicz',
    'Chadaj',
    'Chalupa',
    'Cha\u0142upa',
    'Chlapowski',
    'Ch\u0142apowski',
    'Chmara',
    'Chmiel',
    'Chmielewski',
    'Chmielowski',
    'Chojnacki',
    'Cholewa',
    'Chor\u0105\u017cycki',
    'Chrobak',
    'Chrzanowski',
    'Cichocki',
    'Cichy',
    'Ciechanowski',
    'Cieplak',
    'Ciesielski',
    'Cie\u015bla',
    'Cie\u015blak',
    'Cie\u015blar',
    'Cie\u015blik',
    'Cio\u0142ek',
    'Ciszewski',
    'Cuch',
    'Cukier',
    'Cybulka',
    'Cybulska',
    'Cybulski',
    'Cygan',
    'Cyrankiewicz',
    'Czachowski',
    'Czajkowski',
    'Czaplic',
    'Czapski',
    'Czarnecki',
    'Czarniecki',
    'Czarny',
    'Czechowicz',
    'Czerniak',
    'Czerwonka',
    'Czy\u017c',
    'Czy\u017cewski',
    'D\u0105browski',
    'Danilowicz',
    'Dawidowicz',
    'Dawidowska',
    'Dawidowski',
    'D\u0119bicki',
    'D\u0119bski',
    'Dembski',
    'D\u0142ugosz',
    'Dobrowolski',
    'Dolniak',
    'Domaga\u0142a',
    'Dombrovsky',
    'Dombrowski',
    'Drozd',
    'Dryja',
    'Drzyzga',
    'Duczy\u0144ski',
    'Dudek',
    'Dunajewski',
    'Dunin',
    'Dus',
    'Dzi\u0119cio\u0142',
    'Dziedzic',
    'Dzikowski',
    'Dziuba',
    'Fedorowicz',
    'Filipowicz',
    'Flatau',
    'Fr\u0105ckowiak',
    'Frankowski',
    'Ga\u0142ecki',
    'Galecki',
    'G\u0105sienica',
    'G\u0105sior',
    'Geremek',
    'Giedroy\u0107',
    'Gielgud',
    'Gierczak',
    'Gierek',
    'Giertych',
    'Gieysztor',
    'Ginter',
    'G\u0142owacki',
    'Gminski',
    'Godlewski',
    'Gojowczyk',
    'Go\u0142\u0105b',
    'Golomb',
    'Gomu\u0142ka',
    'G\xf3rski',
    'Grabarczyk',
    'Grabowski',
    'Graczyk',
    'Grinevsky',
    'Grochowiak',
    'Grochowski',
    'Gronkowski',
    'Grudzi\u0144ski',
    'Grunitzky',
    'Gruszka',
    'Grycz',
    'Grzyb',
    'Grzybowski',
    'Grzywacz',
    'Gudowicz'
  ]

  ltLastNames: Array<string> = [
    'Abramavicius',
    'Abromavicius',
    'Adomaitis',
    'Aleliunas',
    'Andrijauskas',
    'Andriukaitis',
    'Andriuskevicius',
    'Andrulis',
    'Antanavicius',
    'Arlauskas',
    'Arlauskiene',
    'Astrauskas',
    'Baciulis',
    'Bagdonas',
    'Bakaitis',
    'Balciunas',
    'Balsys',
    'Baranauskas',
    'Bartkevicius',
    'Bartkus',
    'Bartulis',
    'Basanavicius',
    'Berankis',
    'Bernotas',
    'Brazauskas',
    'Brazdauskis',
    'Briedis',
    'Budrys',
    'Butkevicius',
    'Butkus',
    'Butrym',
    'Cesnauskis',
    'Dagys',
    'Daukantaite',
    'Daukantas',
    'Daukantiene',
    'Dauksa',
    'Daumantas',
    'Dirgela',
    'Donelaitis',
    'Garsva',
    'Gerulaitis',
    'Giedraitis',
    'Grazulis',
    'Grinius',
    'Grybauskas',
    'Gudaitis',
    'Gustaitis',
    'Gylys',
    'Ilgauskas',
    'Ivanauskas',
    'Jakubenas',
    'Jankauskas',
    'Jankunas',
    'Janonis',
    'Jasaitis',
    'Jasikevicius',
    'Javtokas',
    'Jovaisa',
    'Juknevicius',
    'Jurevicius',
    'Kacinskas',
    'Kairys',
    'Kalinauskas',
    'Kaminskas',
    'Karnisovas',
    'Karosas',
    'Karvelis',
    'Katelynas',
    'Kaukenas',
    'Kavaliauskas',
    'Kiedis',
    'Kleiza',
    'Klimaitis',
    'Klimas',
    'Klimavicius',
    'Kubilius',
    'Kudirka',
    'Kundrotas',
    'Kuprevicius',
    'Kuris',
    'Laurinavicius',
    'Leonas',
    'Liepa',
    'Lozoraitis',
    'Lupeikis',
    'Macijauskas',
    'Maciulis',
    'Mackevicius',
    'Malinauskas',
    'Mamontovas',
    'Marcinkeviciene',
    'Marcinkevicius',
    'Marcinkeviciute',
    'Marciulionis',
    'Markevicius',
    'Martinaitis',
    'Masiulis',
    'Matonis',
    'Matulevicius',
    'Mazeika',
    'Mekas',
    'Mickevicius',
    'Mikenas',
    'Mikutavicius',
    'Miskinis',
    'Motiejunas',
    'Navickas',
    'Noreika',
    'Norkus',
    'Novickis',
    'Pakalniskis',
    'Paleckis',
    'Palubinskas',
    'Paulauskas',
    'Petkevicius',
    'Petraitis',
    'Petrauskas',
    'Petrulis',
    'Pleckaitis',
    'Pocius',
    'Poskus',
    'Pozela',
    'Prudius',
    'Rackauskas',
    'Ramanauskas',
    'Rimas',
    'Rimkus',
    'Rimsa',
    'Sabonis',
    'Sabutis',
    'Sakalauskas',
    'Saltenis',
    'Saulys',
    'Savickas',
    'Sernas',
    'Sidlauskas',
    'Simkus',
    'Simonavicius',
    'Sinkevicius',
    'Skema',
    'Smetona',
    'Songaila',
    'Stankevicius',
    'Stauskas',
    'Steponavicius',
    'Stonkus',
    'Stonys',
    'Sulskis',
    'Sutkus',
    'Svedas',
    'Urbonas',
    'Urbonavicius',
    'Vaisvila',
    'Vaitkevicius',
    'Vaitkus',
    'Valaitis',
    'Valantinas',
    'Valinskas',
    'Vanagas',
    'Varnas',
    'Vasiliauskas',
    'Venclova',
    'Venskus',
    'Vilkaitis',
    'Vilkas',
    'Visinskis',
    'Vysniauskas',
    'Zemaitis',
    'Ziemelis',
    'Zikaras',
    'Zilinskas',
    'Zukauskas'
  ]

  eeLastNames: Array<string> = [
    'Aare',
    'Aarma',
    'Aas',
    'Aasm\xe4e',
    'Aav',
    'Aavik',
    'Allik',
    'Alver',
    'Aru',
    'Eenpalu',
    'Eensaar',
    'Eskola',
    'H\xe4rma',
    'Ilves',
    'J\xe4\xe4ger',
    'Jakobson',
    'J\xe4nes',
    'J\xe4rve',
    'J\xe4rvis',
    'J\xf5gi',
    'Kaaleste',
    'Kaasik',
    'K\xe4bin',
    'Kalda',
    'Kaljulaid',
    'Kaljurand',
    'Kallas',
    'Kallaste',
    'Kangro',
    'Kangur',
    'Kapp',
    'K\xe4rner',
    'Kask',
    'K\xe4sper',
    'Kass',
    'Keres',
    'Keskk\xfcla',
    'Kesk\xfcla',
    'Kikkas',
    'Kingsepp',
    'Kirs',
    'Kirsipuu',
    'Kivi',
    'Klavan',
    'K\xf5iv',
    'Kokk',
    'Kontaveit',
    'Koppel',
    'Korjus',
    'Kotkas',
    'Kreek',
    'Kross',
    'Kruus',
    'Kukk',
    'K\xfctt',
    'Kuusik',
    'Kuusk',
    'Laar',
    'Laht',
    'Lass',
    'Laur',
    'Laurits',
    'Lemsalu',
    'Lepik',
    'Lepmets',
    'Lepp',
    'Levandi',
    'Liiv',
    'Lill',
    'Lindmaa',
    'Linna',
    'Lipp',
    'Lippmaa',
    'L\xf5hmus',
    'Loo',
    'L\xf5oke',
    'Luik',
    'Luts',
    'M\xe4gi',
    'M\xe4lk',
    'M\xe4nd',
    'M\xe4nnik',
    'Margiste',
    'Mark',
    'Masing',
    'Mets',
    'Must',
    'N\xf5mmik',
    'Nurme',
    'Nurmsalu',
    'Oja',
    'Olesk',
    '\xd6pik',
    'Orav',
    'P\xe4\xe4suke',
    'Padar',
    'P\xe4rn',
    'Peebo',
    'Peetre',
    'Pihlak',
    'Piho',
    'Piip',
    'P\xf5der',
    'P\xf5ld',
    'Poska',
    'Puhvel',
    'P\xfctsep',
    'Puusepp',
    'Raag',
    'Rand',
    'Raud',
    'Raudsepp',
    'Rebane',
    'Reek',
    'Reinsalu',
    'Rooba',
    'Roolaid',
    'Rootare',
    'Rummo',
    'R\xfc\xfctel',
    'R\xfc\xfctli',
    'Saar',
    'Salum\xe4e',
    'Sepp',
    'Sibul',
    'Siimar',
    'Simm',
    'Sirel',
    'Sisask',
    'Sokk',
    'Soosaar',
    'Susi',
    'Talts',
    'Talvik',
    'Tamm',
    'Tamme',
    'Tarvas',
    'Teder',
    'Toom',
    'Toome',
    'Toots',
    'Vaher',
    'Vahtra',
    'Vaino',
    'Vainola',
    'V\xe4lbe',
    'Valdma',
    'V\xe4ljas',
    'Valk',
    'Vesik',
    'Veski',
    'Viiding',
    'Visnapuu',
    'Vitsut',
    'V\xf5igemast',
    'V\xf5su'
  ]

  generate (country: Country) {
    switch (country) {
      case Country.POLAND:
        return this.plLastNames[Math.floor(Math.random() * this.plLastNames.length)]
      case Country.LITHUANIA:
        return this.ltLastNames[Math.floor(Math.random() * this.ltLastNames.length)]
      default:
        return this.eeLastNames[Math.floor(Math.random() * this.eeLastNames.length)]
    }
  }
}

export default new LastNameGenerator()
